Instruções de instalação do AEM 6.5 Forms Service Pack aem-form-patch-installation-instructions

Informações da versão

Produto
Adobe Experience Manager 6.5 Forms
Versão
6.5.20.0
Tipo
Versão do Service Pack
Data
29 de fevereiro de 2024
URL de download
Versões mais recentes do AEM Forms
NOTE
Veja a mais recente Notas de versão do AEM Service Pack para obter uma lista completa de problemas corrigidos.

O que está incluído no Experience Manager Forms 6.5

O Adobe Experience Manager (AEM) Forms Service Pack inclui recursos novos e atualizados, como aprimoramentos solicitados pelo cliente, desempenho, estabilidade e aprimoramentos de segurança. Service packs de lançamento do AEM Forms em intervalos regulares para fornecer os recursos e as melhorias mais recentes. Dependendo do seu conjunto de tecnologias, escolha um dos seguintes caminhos para baixar e instalar o service pack em seu ambiente:

NOTE
  • O Adobe lança um instalador completo a cada sexto service pack. O AEM 6.5 Forms Service Pack 18 (6.5.18.0) é o instalador completo mais recente do JEE. O instalador completo oferece suporte a novas plataformas, enquanto o instalador regular de pacotes de serviços inclui novos recursos, correção de erros e melhorias gerais. Se você estiver executando uma nova instalação ou planejando usar o software mais recente para o seu Forms AEM 6.5 no ambiente JEE, o Adobe recomenda usar o instalador completo do 6.5.18.0 Forms on JEE, lançado em 31 de agosto de 2023, em vez do instalador do Forms AEM Forms 6.5, lançado em 08 de abril de 2019, ou o Instalador do AEM, lançado em 03 de março de 2022, com o AEM 6.5.18.00.0. Depois de usar o instalador completo, instale o pacote de serviços mais recente.
  • O recurso do AEM Forms, como o Adaptive Forms, disponível em QuickStart do AEM 6.5, destinam-se apenas a fins de exploração e avaliação. Para uso em produção, é essencial obter uma licença válida para o AEM Forms.

Baixar e instalar o Service Pack em um formulário AEM no ambiente JEE download-and-install-for-jee-service-pack

1. Faça backup do seu ambiente existente
  1. Faça backup do seu Repositório CRX, esquema de banco de dados e GDS (Global Document Storage, armazenamento global de documentos).
  2. Faça backup do <AEM_forms_root>/implantar pasta.
note note
NOTE
Antes de executar o instalador do pacote de serviços AEM, verifique se você tem privilégios de acesso de gravação no diretório de instalação do AEM.
3. Instalar pacotes redistribuíveis do Microsoft Visual C++
note note
NOTE
Instale o Redistribuível, mesmo que uma versão anterior esteja instalada, para garantir a disponibilidade da versão mais recente.
4. Instalar o AEM Forms no service pack JEE:
  1. Interrompa o servidor de aplicativos.

  2. Extraia o Arquivo do instalador do AEM Forms no JEE Service Pack no disco rígido:

    • Windows
      Navegue até o diretório apropriado na mídia ou pasta de instalação no disco rígido em que você copiou o instalador e clique duas vezes no aemforms65_cfp_install.exe arquivo.

      • (Windows de 32 bits) Windows\Disk1\InstData\VM
      • (Windows de 64 bits) Windows_64Bit\ Disk1\InstData\VM
    • Linux®
      Navegue até o diretório apropriado e, em um shell e digite ./aem65_cfp_install.bin.

      • (Linux®) Linux/Disk1/InstData/NoVM

    Isso inicia um assistente de instalação que o guiará durante a instalação.

  3. No painel de Introdução, clique em Próximo.

  4. No Escolha a pasta de instalação , verifique se o local padrão exibido está correto para sua instalação existente, ou clique em Procurar para selecionar a pasta alternativa em que o AEM Forms está instalado e clique em Próxima.

  5. Leia as informações de resumo do Service Pack e clique em Próxima.

  6. Leia as informações no Resumo de pré-instalação e clique em Instalar.

  7. Quando a instalação estiver concluída, clique em Próximo para aplicar as atualizações de correção rápida aos arquivos instalados.

  8. [Somente para Windows]: Execute uma das seguintes etapas:

    • Desmarque a opção Iniciar o Gerenciador de Configurações antes de clicar em Concluído. Executar Gerenciador de configurações usando o ConfigurationManager.bat arquivo em [aem-forms root]\configurationManager\bin.

    • Ou desmarque a opção Iniciar o Gerenciador de Configurações antes de clicar em Concluído. Antes de executar Gerenciador de configurações usar ConfigurationManager.exe ou ConfigurationManager_IPv6.exe, navegue até <AEMForms_Install_Dir>\configurationManager\bin e substitua o ConfigurationManager.lax e ConfigurationManager_IPV6.lax com o mais recente ConfigurationManager.lax e ConfigurationManager_IPV6.lax arquivos, Pesquisar e substituir axis-1.4.1.1.jar com axis-1.4.1.2.jar nesses dois arquivos.

      note note
      NOTE
      • Atualizar ou substituir o ConfigurationManager.bat ajuda a evitar a atualização manual dos arquivos .lax.
  9. [Somente para Unix]: A variável Iniciar o Gerenciador de Configurações é marcada por padrão. Clique em Concluído para executar o Gerenciador de configurações instantaneamente ou Gerenciador de configurações posteriormente, desmarque a opção Iniciar o Gerenciador de Configurações antes de clicar em Concluído. Você pode começar Gerenciador de configurações posteriormente usando o script apropriado na [AEM_forms_root]/configurationManager/bin diretório.

  10. Dependendo do servidor de aplicativos, escolha um dos seguintes documentos e siga as instruções na Configuração e implantação de formulários AEM seção.

note note
NOTE
  • Depois de instalar o AEM Forms no service pack JEE, é necessário remover o pacote complementar do Forms de crx-repository\install antes de reiniciar o appserver. Baixe o pacote complementar mais recente do Forms na Portal de distribuição de software.
  • É recomendável usar o comando "Ctrl + C" para reiniciar o SDK. Reiniciar o SDK do AEM usando métodos alternativos, por exemplo, parar processos Java, pode levar a inconsistências no ambiente de desenvolvimento do AEM.
5. Instalar o fragmento do servlet (AEM Service Pack 6.5.14.0 ou anterior)
note note
NOTE
  • Se você estiver atualizando de AEM Service Pack 6.5.15.0, a instalação do fragmento de servlet não é obrigatório. Para versões AEM Service Pack 6.5.14.0 ou anterior, é obrigatório instalar o fragmento de servlet.
  • É obrigatório instalar o fragmento de servlet para todos os servidores de aplicativos, exceto os executados em JBoss® EAP 7.4.0.

Para baixar e instalar o fragmento de servlet:

  1. Se você não tiver baixado o fragmento, baixe-o de Distribuição de software.

  2. Inicie o servidor de aplicativos, aguarde os logs estabilizarem e verifique o estado do pacote.

  3. Abra os Pacotes de console da Web. O URL padrão é http://[Server]:[Port]/system/console/bundles.

  4. Clique em Instalar/Atualizar. Escolha o fragmento baixado, org.apache.felix.http.servlet-api-1.2.0_fragment_full.jar. Clique em Instalar ou Atualizar. Aguarde o servidor de aplicativos estabilizar

  5. Interrompa o servidor de aplicativos.

6. Instalar o pacote de serviços AEM
  1. Reinicie a instância antes da instalação se ela estiver no modo de atualização (quando a instância tiver sido atualizada de uma versão anterior). O Adobe recomenda uma reinicialização se o tempo de atividade atual de uma instância for alto.
  2. Antes de instalar o, faça um instantâneo ou um novo backup de seu Experience Manager instância.
  3. Baixe o pacote de serviços de Distribuição de software.
  4. Abra o Gerenciador de pacotes e selecione Fazer upload do pacote para carregar o pacote. Para saber mais, consulte Gerenciador de pacotes.
  5. Selecione o pacote e Instalar.

Instalação automática

Há dois métodos diferentes que você pode usar para instalar automaticamente o ExperienceManager pacote de serviços.

  • Coloque o pacote em ../crx-quickstart/install pasta quando o servidor estiver disponível online.
    O pacote é instalado automaticamente.

  • Use o API HTTP do Gerenciador de pacotes. Uso cmd=install&recursive=true para que os pacotes aninhados sejam instalados.

    note note
    NOTE
    o service pack do Experience Manager não suporta a instalação do Bootstrap.

    Validar a instalação

    Para conhecer as plataformas certificadas para trabalhar com esta versão, consulte a requisitos técnicos.

    1. A página de informações do produto (/system/console/productinfo) exibe a string da versão atualizada Adobe Experience Manager (spversion) em Produtos instalados.
    2. Todos os pacotes OSGi são ATIVO ou FRAGMENTO no console OSGi (Use o console da Web: /system/console/bundles).
    3. O pacote OSGi org.apache.jackrabbit.oak-core é versão 1.22.14 ou posterior (Use o WebConsole: /system/console/bundles).
7. Instalar o pacote complementar do AEM Experience Manager Forms
  1. Verifique se você instalou o Experience Manager pacote de serviços.
  2. Baixe o pacote complementar do Forms correspondente listado em Versões do AEM Forms para seu sistema operacional.
  3. Instale o pacote complementar do Forms conforme descrito em Instalação de pacotes complementares do AEM Forms.
  4. Se você usa letras no Experience Manager 6.5 Forms, instale o pacote de compatibilidade do AEMFD mais recente.

Baixar e instalar o Service Pack em um formulário AEM em um ambiente OSGi download-and-install-for-osgi-service-pack

1. Faça backup do seu ambiente existente
  1. Faça backup do seu Esquema de banco de dados e repositório CRX.
note note
NOTE
Se você instalar o AEM Forms service pack para banco de dados relacional, é obrigatório fazer backup de DB_schema.
2. Baixar o software necessário
3. Instalar pacotes redistribuíveis do Microsoft Visual C++
note note
NOTE
Instale o Redistribuível, mesmo que uma versão anterior esteja instalada, para garantir a disponibilidade da versão mais recente.
4. Instalar o pacote de serviços AEM
  1. Reinicie a instância antes da instalação se ela estiver no modo de atualização (quando a instância tiver sido atualizada de uma versão anterior). O Adobe recomenda uma reinicialização se o tempo de atividade atual de uma instância for alto.
  2. Antes de instalar o, faça um instantâneo ou um novo backup de seu Experience Manager instância.
  3. Baixe o pacote de serviços de Distribuição de software.
  4. Abra o Gerenciador de pacotes e selecione Fazer upload do pacote para carregar o pacote. Para saber mais, consulte Gerenciador de pacotes.
  5. Selecione o pacote e Instalar.

Instalação automática

Há dois métodos diferentes que você pode usar para instalar automaticamente o Experience Manager pacote de serviços.

  • Coloque o pacote em ../crx-quickstart/install pasta quando o servidor estiver disponível online. O pacote é instalado automaticamente.

  • Use o API HTTP do Gerenciador de pacotes. Uso cmd=install&recursive=true para que os pacotes aninhados sejam instalados.

    note note
    NOTE
    o service pack do Experience Manager não suporta a instalação do Bootstrap.

    Validar a instalação

    Para conhecer as plataformas certificadas para trabalhar com esta versão, consulte a requisitos técnicos.

    1. A página de informações do produto (/system/console/productinfo) exibe a string da versão atualizada Adobe Experience Manager (spversion) em Produtos instalados.

    2. Todos os pacotes OSGi são ATIVO ou FRAGMENTO no console OSGi (Use o console da Web: /system/console/bundles).

      1. O pacote OSGi org.apache.jackrabbit.oak-core O é versão 1.22.14 ou posterior (Use o Console da Web: /system/console/bundles).
5. Instalar pacote complementar do Adobe Experience Manager Forms (AEM)
  1. Verifique se você instalou o Experience Manager pacote de serviços.
  2. Baixe o pacote complementar do Forms correspondente listado em Versões do AEM Forms para seu sistema operacional.
  3. Instale o pacote complementar do Forms conforme descrito em Instalação de pacotes complementares do AEM Forms.
  4. Se você usa letras no Experience Manager 6.5 Forms, instale o pacote de compatibilidade do AEMFD mais recente.

Resolução de problemas

  • Se Caixa de diálogo na interface do usuário do Gerenciador de pacotes sai durante a instalação do service pack, aguarde a estabilização dos logs de erro antes de acessar a implantação. Aguarde os registros específicos relacionados à desinstalação do pacote do atualizador antes de ter certeza de que as instalações serão bem-sucedidas. Normalmente, esse problema ocorre no navegador Safari, mas pode ocorrer intermitentemente em qualquer navegador.

  • Verifique os registros do monitor (error.log) após a conclusão da instalação para verificar se há atividade. Aguarde alguns minutos até que não haja atividade nos logs. Reinicie a instância do AEM.

  • Caso você obtenha uma erro de serviço indisponível após instalar o pacote de serviços AEM Forms 6.5.15.0 ou posterior, instalar o fragmento e o pacote do servlet para corrigir o erro.

recommendation-more-help
19ffd973-7af2-44d0-84b5-d547b0dffee2